//
//  ProtectedViewController.m
//  YouriOSApp
//
//  Created by Kristin Tomasik on 7/26/13.
//
//

#import <LaunchKeyManager/LKAuthenticationManager.h>
#import "ProtectedViewController.h"

@interface ProtectedViewController ()

@end

@implementation ProtectedViewController

@synthesize authRequest, stillAuthorizedButton, logoutButton, statusLabel;

- (void)viewDidLoad {
    [super viewDidLoad];
    
    statusLabel.text = @"Your session is Active";
}

- (IBAction)stillAuthorizedTouched:(id)sender {
    [stillAuthorizedButton setEnabled:NO];
    
    [[LKAuthenticationManager sharedClient] isAuthorized:authRequest withSuccess:^(BOOL authorized) {
        
        [stillAuthorizedButton setEnabled:YES];
        if (authorized) {
            statusLabel.text = @"Your session is Active";
        } else {
            statusLabel.text = @"Your session is Revoked";
        }
        
    } withFailure:^(NSString *errorMessage, NSString *errorCode) {
        
        [stillAuthorizedButton setEnabled:YES];
        statusLabel.text = [NSString stringWithFormat:@"%@: %@", errorCode, errorMessage];
    }];
}

- (IBAction)logoutTouched:(id)sender {
    
    [logoutButton setEnabled:NO];
    
    [[LKAuthenticationManager sharedClient] logout:authRequest withSuccess:^{
        
        [logoutButton setEnabled:YES];
        statusLabel.text = @"Logout Successful!";
        
    } withFailure:^(NSString *errorMessage, NSString *errorCode) {
        
        [logoutButton setEnabled:YES];
        statusLabel.text = [NSString stringWithFormat:@"%@: %@", errorCode, errorMessage];
    }];
}

- (IBAction)backButtonTouched:(id)sender {
    [[self navigationController] popViewControllerAnimated:YES];
}

- (void)didReceiveMemoryWarning {
    [super didReceiveMemoryWarning];
}


@end
